{% extends 'core/base.html' %}

{% block title %}My Account{% endblock %}

{% block content %}

<div class="max-w-6xl mx-auto flex flex-wrap py-6 px-6 xl:px-0 bg-ctp-base">
  <div class="account w-full">
    <h1 class="mb-5 font-semibold text-3xl">Account</h1>

    <div class="mb-6">
      <ul>
        <li><strong>Name: </strong>{{ request.user.get_full_name }}</li>
        <li><strong>Username: </strong>{{ request.user.username }}</li>
        <li><strong>Email: </strong>{{ request.user.email }}</li>
      </ul>
        <a href="{% url 'edit_account' %}" class="inline-block mt-4 mb-4 px-8 py-4 rounded-xl font-bold text-ctp-base bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:from-ctp-lavender hover:to-ctp-mauve">Edit</a>

      <hr>

      <h2 class="my-6 text-2xl font-semibold">Orders</h2>
      {% if request.user.orders.exists %}
      
        {% for order in request.user.orders.all %}
          <div class="w-full mb-6 p-6 flex flex-wrap border-ctp-pink border-2 bg-ctp-crust rounded-xl">
            <div class="mb-6 flex justify-between">
              <a href="#" class="">Order: {{ order.id }}</a>
            </div>

            <!-- begin product loop -->
            {% for item in order.items.all %}
            <div class="mb-6 w-full">
              <div class="product mb-6 flex pr-6">
                <a href="#" class="w-1/4">
                  <img src="{{ item.product.get_thumbnail }}" alt="" class="border-2 border-ctp-pink p-1 bg-ctp-crust rounded-xl">
                </a>

                <div class="w-3/4 pl-6">
                  <div class="flex justify-between">
                    <a href="#" class="text-lg">{{ item.product.name }}</a>

                    <p class="mb-6 pt-1">$ {{ item.price }}</p>
                  </div>

                  <hr>

                  <div class="mt-6">
                    Quantity: {{ item.quantity }}
                  </div>
                </div>
              </div>
            </div>
            {% endfor %}
            <!-- end product loop -->

            <div>
              <p class="text-lg">Date: {{ order.created_at }}</p>
              <p class="text-lg">Total: $ {{ order.get_total_price }}</p>
            </div>
          </div>
        {% endfor %}
      {% else %}
        <p>It appears you have not yet been blessed by the Cat Universe.</p>
      {% endif %}
      </div>
    </div>
  </div>
</div>
{% endblock %}
